Difference between revisions of "Talk:Installing third party softwares in terminal/Build/KDE4/Kubuntu and Debian"

Jump to: navigation, search
(Suggestion about qt-copy install code)
Line 1: Line 1:
 
Can someone check libclucene-dev and libclucene0ldbl packages on kubuntu.  I had to install them on debain to get kdebase to build
 
Can someone check libclucene-dev and libclucene0ldbl packages on kubuntu.  I had to install them on debain to get kdebase to build
 +
 +
== qt-copy install ==
 +
In the line
 +
'../../src/qt-copy/configure <Qt options here> -prefix $QTDIR'
 +
it seems that either <Qt options here> should be commented out, or default options should be provided. Otherwise, this prevents a copy-paste install.
  
 
== playground - extragear ==
 
== playground - extragear ==

Revision as of 20:38, 21 February 2009

Can someone check libclucene-dev and libclucene0ldbl packages on kubuntu. I had to install them on debain to get kdebase to build

Contents

qt-copy install

In the line '../../src/qt-copy/configure <Qt options here> -prefix $QTDIR' it seems that either <Qt options here> should be commented out, or default options should be provided. Otherwise, this prevents a copy-paste install.

playground - extragear

I noticed that in debian lenny you need libhal-dev to compile kdeplayground-base and libavformat-dev for k3b from extragear-multimedia from svn. Should that go somewhere else?

Easy button

how about a 1-step "copy/paste this to install all necessary and optional packages" right at the top

changing dependencies

for the last week or so, I haven't been able to build kdelibs on debian/unstable because I had libstrigiqtdbusclient-dev installed, as per this page. Now that I've removed that package, kdelibs builds.

Add dependencies

I had to install automoc and libphonon-dev on kubuntu 8.10, but I didn't know if that was required for all systems, so I just put a note in the kdelibs section. --naught101 07:24, 14 November 2008 (UTC)

Out of source build error

I'm also getting a build-in-another-dir error: CMake Error at cmake/modules/MacroEnsureOutOfSourceBuild.cmake:17 (MESSAGE): kdelibs requires an out of source build. Please create a separate build directory and run 'cmake path_to_kdelibs [options]' there. I did what that error says, and it gave me the same error again. any ideas? --naught101 07:24, 14 November 2008 (UTC)

  • Solution is to remove CMakeCache.txt from the source dir. --naught101

KDE® and the K Desktop Environment® logo are registered trademarks of KDE e.V.Legal